Page MenuHomePhabricator

[Alpha/Labs] Basic Search labels + help text need updating
Closed, ResolvedPublic

Description

Context

Design will be testing the search prototype on Alpha/Labs (relevant ticket: T216774) ideally by March 19th or 20th. Link: https://federated-commons.wmflabs.org/wiki/Main_Page

We have this copy for Basic search:

(Label | Help text)
Keyword | Search by keyword
Depicts | Search by depicted items

We want this instead:

Keyword | Find media files using keywords in titles and descriptions
Tags | Find media files using tags that represent concepts or topics

Acceptance Criteria:

  • Search input mode toggle shows "Keyword" and "Tags" (instead of "Keyword" and "Depicts")
  • Input field placeholder text for "Keyword" mode is: "Search in titles and descriptions"
  • Input field placeholder text for "Tags" mode is: "Search concepts or topics"

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 15 2019, 8:03 PM
PDrouin-WMF changed the subtype of this task from "Bug Report" to "Task".Mar 15 2019, 8:15 PM
Ramsey-WMF triaged this task as Normal priority.Mar 15 2019, 8:31 PM
Ramsey-WMF moved this task from Untriaged to Next up on the Multimedia board.
Ramsey-WMF added a subscriber: matthiasmullie.

Pinging @matthiasmullie on this one to see if he can knock it out quickly on Monday ;)

Change 441040 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[mediawiki/extensions/WikibaseMediaInfo@master] Search prototype

https://gerrit.wikimedia.org/r/441040

PDrouin-WMF added a comment.EditedMar 18 2019, 2:35 PM

@matthiasmullie unfortunately the default OOUI text size is causing the help text to running past the width of the search box for tags. We'll need to update again before testing with users with even shorter help text:

Search in titles and descriptions
Search concepts or topics

Change 441040 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[mediawiki/extensions/WikibaseMediaInfo@master] Search prototype

https://gerrit.wikimedia.org/r/441040

PDrouin-WMF renamed this task from Basic Search labels + help text need updating on Alpha/Labs to [Alpha/Labs] Basic Search labels + help text need updating .Mar 19 2019, 3:34 PM

Change 441040 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Search prototype

https://gerrit.wikimedia.org/r/441040

matthiasmullie updated the task description. (Show Details)
Edtadros added a subscriber: Edtadros.

@matthiasmullie I believe I can make out the test steps from the Acceptance Criteria. Can you let me know what environment (URL would be helpful) I should be testing this in?

Ramsey-WMF updated the task description. (Show Details)Apr 1 2019, 8:37 PM

@Edtadros I added the URL to Alpha/Labs/Federated Commons in the task description.

Cparle closed this task as Resolved.Apr 17 2019, 2:10 PM
Cparle removed Edtadros as the assignee of this task.
Cparle updated the task description. (Show Details)
Cparle added a subscriber: Cparle.

This ticket was some updates that needed to be made in advance of user testing. User testing is done now, so closing